Subject: Re: [tsvwg] Secdir review of draft-ietf-tsvwg-rfc5405bis-13

From: "Eggert, Lars" <[email-masked]>
Date: Fri, 17 Jun 2016 12:39:21 +0000

Hi,

thanks for the review! I'll incorporate respective changes into -14.

On 2016-05-31, at 12:06, Takeshi Takahashi <[email-masked]> wrote:
> In Table 1 "Summary of recommendations", I wonder if the corresponding
> section numbers are correct.
> 
> [Now]
> "SHOULD avoid using multiple ports"  corresponds to Section 5.1
> and
> "SHOULD use a randomized source port or equivalent technique" corresponds to
> Section 5.2
> 
> [New]
> "SHOULD avoid using multiple ports"  corresponds to Section 5.1.1
> and
> "SHOULD use a randomized source port or equivalent technique" corresponds to
> Section 5.1.2
> 
> I might be wrong, so please check.

You were right that what we had was wrong (copy/paste bug, I think), but they pointers should be to Sections 5.1.2 and 6, respectively.

> Also I have seen several typos (especially, missing parentheses around
> referenced section numbers) on this document, so please revise the texts
> before the publication of this document.

No typos come up when using "idnits --spellcheck". I also don't quite understand what you mean by "missing parentheses around referenced section numbers" - could you please clarify?

Thanks,
Lars

---

From: "Takeshi Takahashi" <[email-masked]>
Date: Mon, 20 Jun 2016 21:50:32 +0900

Hi,

> > referenced section numbers) on this document, so please revise the
> > texts before the publication of this document.
> 
> No typos come up when using "idnits --spellcheck". I also don't quite
> understand what you mean by "missing parentheses around referenced section
> numbers" - could you please clarify?

These typos are very trivial, but let me list them here.
Since I'm not a native speaker (writer) of English, so I might be wrong, but
I hope you could take a look at them.
I was reading version 13 of the draft, and version 14 (that was published a
couple of days ago) already have fixed most of the typo I found.

1. in Section 3.1.7,

Old) "requires for"
New) "required for" (already fixed in version 14)

2. in Section 3.1.7,

Old) "... by the UDP congestion control method Section 3.1 that is not less
than the reaction of TCP..."

It could be helpful if you could use parentheses, e.g., "...control method
(see Section 3.1) that..." or "...control method described in Section 3.1)
that..."

3. in Section 3.1.8

Old) "across multiple networks the between ..."
New) "across multiple networks between ..." (already fixed in version 14)

4. in Section 3.1.9

Old) "into unprovisioned Internet paths (e.g., [RFC7510]) To protect"

The sentence might need a period in between; i.e., "into unprovisioned
Internet paths (e.g., [RFC7510]). To protect"

5. in Section 7

Old) "for tunnels carrying IP Traffic,"

It could be a non-capital letter; i.e., "for tunnels carrying IP traffic,"

I like the summary table inserted in Section 7.
Thank you for preparing the summary table.

Kind regards,
Take

> -----Original Message-----
> From: Eggert, Lars [mailto:[email-masked]]
> Sent: Friday, June 17, 2016 9:39 PM
> To: Takeshi Takahashi
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: Secdir review of draft-ietf-tsvwg-rfc5405bis-13
> 
> Hi,
> 
> > "SHOULD avoid using multiple ports"  corresponds to Section 5.1 and
> > "SHOULD use a randomized source port or equivalent technique"
> > corresponds to Section 5.2
> >
> > [New]
> > "SHOULD avoid using multiple ports"  corresponds to Section 5.1.1 and
> > "SHOULD use a randomized source port or equivalent technique"
> > corresponds to Section 5.1.2
> >
> You were right that what we had was wrong (copy/paste bug, I think), but
> they pointers should be to Sections 5.1.2 and 6, respectively.
> 
> > referenced section numbers) on this document, so please revise the
> > texts before the publication of this document.
> 
> No typos come up when using "idnits --spellcheck". I also don't quite
> understand what you mean by "missing parentheses around referenced section
> numbers" - could you please clarify?
> 
> Thanks,
> Lars